package dev.fitko.fitconnect.client.model;

import dev.fitko.fitconnect.api.domain.model.metadata.attachment.AttachmentWithData;
import dev.fitko.fitconnect.api.domain.model.metadata.data.MimeType;
import lombok.Builder;
import lombok.Getter;
import lombok.ToString;
import lombok.With;

import java.util.List;

@Getter
@Builder
@ToString
@With
public class ReceivedSubmission {
    private String data;
    private MimeType dataMimeType;
    private List<AttachmentWithData> attachments;
}
